#
# spec file for package intelnvm-i18n
#
# Copyright (c) 2016 Intel Corporation
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rpm_name invm-i18n
%define build_version 1.0.0.1020
%define api_release 1
%define lname lib%{rpm_name}%{api_release}
%define dname %{rpm_name}-devel
%define srcname lib%{name}-%{build_version}

Name:           %{rpm_name}
Version:        %{build_version}
Release:        1.1
Summary:        Internationalization library
License:        BSD-3-Clause and BSD-2-Clause
Group:          System/Libraries
URL:            https://01.org/intel-nvm-i18n-library
Source:         https://github.com/01org/libinvm-i18n/archive/v%{version}.tar.gz
ExclusiveArch:  x86_64
BuildRequires:  distribution-release

%description
libinvm-i18n is a framework library for Internationalization, supporting a
subset of Internationalization (I18n) functionality. 

%package -n %{lname}
Summary:        Library for Intel I18N framework
Group:          System/Libraries

%description -n %{lname}
libinvm-i18n is a framework library for Internationalization, supporting a
subset of Internationalization (I18n) functionality. 
This is a required library for using libinvm-cli library.

%package -n %{dname}
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}-%{release}

%description -n %{dname}
The %{name}-devel package contains header files for
developing applications that use %{name}.

%prep
%setup -q -n %{srcname}

%build
make BUILDNUM=%{build_version} RELEASE=1 \
  CFLAGS_EXTERNAL="%{?optflags}" %{?_smp_mflags}

%install
make BUILDNUM=%{build_version} RELEASE=1 \
  RPM_ROOT=%{buildroot} LIB_DIR=%{_libdir} INCLUDE_DIR=%{_includedir} \
  install

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/libinvm-i18n.so.*
%doc licenses/intel_bsd

%files -n %{dname}
%defattr(-,root,root)
%{_libdir}/libinvm-i18n.so
%dir %{_includedir}/libinvm-i18n
%{_includedir}/libinvm-i18n/*.h
%doc licenses/intel_bsd
%doc licenses/netbsd

%changelog
* Wed Mar  1 2017 rw@suse.com
- Minor version update to 1.0.0.1020.  (FATE#321998, FATE#321999)
- Drop create-header-dir.patch.
* Mon Jul  4 2016 rw@suse.com
- Update naming for Intel NVM utils.  (bsc#987543)
- Minor version update to 1.0.0.1015.
- Drop use-gcc-not-g++-for-linking.patch.
* Fri Apr 15 2016 jthumshirn@suse.com
- Initial packaging for SUSE (FATE#319636, FATE#319651)
